Get signing request reminders
curl --request GET \
--url https://api.firma.dev/functions/v1/signing-request-api/signing-requests/{id}/reminders \
--header 'Authorization: <api-key>'import requests
url = "https://api.firma.dev/functions/v1/signing-request-api/signing-requests/{id}/reminders"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.firma.dev/functions/v1/signing-request-api/signing-requests/{id}/reminders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "remind789-e89b-12d3-a456-426614174000",
"hours": 48,
"subject": "Urgent: Document signature required",
"message": "Please complete your signature at your earliest convenience.",
"all_users": false,
"template_user_id": "user456-e89b-12d3-a456-426614174000",
"date_created": "2024-03-10T09:00:00Z",
"date_changed": "2024-03-10T09:00:00Z"
}
]{
"error": "Unauthorized",
"message": "Invalid API key"
}{
"error": "Not Found",
"message": "The requested resource was not found"
}{
"error": "Rate Limit Exceeded",
"message": "Too many requests. Please wait before retrying.",
"details": {
"retry_after": 45
}
}Signing Requests
Get signing request reminders
GET
/
signing-requests
/
{id}
/
reminders
Get signing request reminders
Authorizations
API key for authentication. Use your API key directly without any prefix (e.g., 'your-api-key'). Bearer prefix is optional but not required.
Path Parameters
Signing request ID
Response
Signing request reminders retrieved successfully
Unique identifier for the reminder
Hours after sending before reminder is sent
Required range:
x >= 1Email subject for the reminder
Maximum string length:
255Email message body for the reminder
Maximum string length:
5000Whether reminder applies to all users
Specific user to send reminder to, if not all users
Reminder creation timestamp
Reminder last update timestamp
Was this page helpful?
⌘I